export function openClasses({className, classtoHide}:{className: string, classtoHide: string}){
    const showElementsByClass = (_event: React.MouseEvent<HTMLElement, MouseEvent>) => {
        // Alle Elemente mit der angegebenen Klasse auswählen
        const elements = document.getElementsByClassName(className);
        const hide = document.getElementsByClassName(classtoHide);
        for (let i = 0; i < hide.length; i++) {
            hide[i].setAttribute('style', 'display: none;');
        }
        // Jedes Element durchgehen und den Display-Stil auf 'block' setzen
        for (let i = 0; i < elements.length; i++) {
            (elements[i] as HTMLElement).style.setProperty('display', 'block', 'important');  
        }
    
    };
    return showElementsByClass; 
}
